
<table class="container">
  <tr>
    <td colspan="2">
      <mat-form-field>
        <input matInput [(ngModel)]="searchTerm" placeholder="Search" name="search">
      </mat-form-field>
    </td>
  </tr>
  <tr>
    <td align="left">
      <button mat-button [disabled]="!searched" (click)="clearSearch()" id="clear-search">Clear search</button>
    </td>
    <td align="right">
      <button mat-raised-button  color="primary" (click)="doSearch()" id="do-search">Search</button>
    </td>
  </tr>
</table>

<div (scroll)="onScroll($event)">
  <app-event-list [events]="events"></app-event-list>
</div>
